declare module jackHenry.enterprise.businessObjects {
    interface BusinessObject {
        ToJsonString(): any;
    }
    class PSAdd implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        PSSecKey: string;
        PSPkg: PSPkg_CType;
        PSOvrWrite: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class JESMsgRqHdr_CType implements BusinessObject {
        JESHdr: JESHdr_CType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class JESHdr_CType implements BusinessObject {
        AuditUsrId: string;
        AuditWsId: string;
        ConsumerProd: string;
        ConsumerRqDtTime: string;
        jXLogTrackingId: string;
        BusCorrelId: string;
        WorkflowCorrelId: string;
        OrigConsumerInfo: OrigConsumerInfo_CType;
        ValidConsmName: string;
        ValidConsmProd: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AuditUsrId_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PSOvrWrite_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PSContents_Type implements BusinessObject {
        JHANull: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PSContentType_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PSContent_CType implements BusinessObject {
        PSContentType: string;
        PSContents: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ConsumerEnv_Type implements BusinessObject {
        JHANull: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PSKey_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PSUsr_Type implements BusinessObject {
        JHANull: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PSApp_Type implements BusinessObject {
        JHANull: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PSFinInst_Type implements BusinessObject {
        JHANull: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PSIdx_CType implements BusinessObject {
        PSFinInst: string;
        PSProd: string;
        PSApp: string;
        PSUsr: string;
        PSKey: string;
        PSConsumerEnv: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ConsumerProd_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PSExpDays_Type implements BusinessObject {
        JHANull: string;
        Value: number;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PSPkg_CType implements BusinessObject {
        PSExpDays: number;
        PSIdx: PSIdx_CType;
        PSContent: PSContent_CType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PSSecKey_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ValidConsmProd_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ValidConsmName_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MachNameIPAddr_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AuthenUsrCred_CType implements BusinessObject {
        Security: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class OrigConsumerInfo_CType implements BusinessObject {
        AuthenUsrCred: AuthenUsrCred_CType;
        MachNameIPAddr: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class WorkflowCorrelId_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class BusCorrelId_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class jXLogTrackingId_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ConsumerRqDtTime_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AuditWsId_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PSAddResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        PSIdx: PSIdx_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class JESMsgRsHdr_CType implements BusinessObject {
        JESHdr: JESHdr_CType;
        MsgRecInfoArray: MsgRecInfoArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MsgRec_CType implements BusinessObject {
        ErrCode: string;
        ErrCat: string;
        ErrDesc: string;
        ErrElem: string;
        ErrElemVal: string;
        ErrLoc: string;
        Ver_1: Ver_1_CType;
        Any: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ErrCode_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ErrCat_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ErrDesc_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ErrElem_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ErrElemVal_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ErrLoc_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class Ver_1_CType implements BusinessObject {
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class RsStat_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PSMod implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        PSSecKey: string;
        PSIdx: PSIdx_CType;
        PSDlt: string;
        PSPkg: PSPkg_CType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class Dlt_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PSModResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PSInq implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        ErrOvrRdInfoArray: ErrOvrRdInfoArrayType;
        PSSecKey: string;
        PSIdx: PSIdx_CType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ErrOvrRd_CType implements BusinessObject {
        ErrCode: string;
        Ver_1: Ver_1_CType;
        Any: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PSInqResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        PSPkg: PSPkg_CType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PSSrch implements BusinessObject {
        JESSrchMsgRqHdr: JESSrchMsgRqHdr_CType;
        PSSecKey: string;
        PSFinInst: string;
        PSProd: string;
        PSApp: string;
        PSUsr: string;
        PSKey: string;
        PSConsumerEnv: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class JESSrchMsgRqHdr_CType implements BusinessObject {
        JESHdr: JESHdr_CType;
        MaxRec: number;
        Cursor: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MaxRec_Type implements BusinessObject {
        Value: number;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class Cursor_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PSSrchResponse implements BusinessObject {
        JESSrchMsgRsHdr: JESSrchMsgRsHdr_CType;
        PSSrchArray: PSSrchArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class JESSrchMsgRsHdr_CType implements BusinessObject {
        JESHdr: JESHdr_CType;
        SentRec: number;
        MoreRec: string;
        Cursor: string;
        TotRec: number;
        MsgRecInfoArray: MsgRecInfoArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class SentRec_Type implements BusinessObject {
        Value: number;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MoreRec_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class TotRec_Type implements BusinessObject {
        Value: number;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PSSrchRec_CType implements BusinessObject {
        PSIdx: PSIdx_CType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PSMultiInq implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        PSMultiInqRqArray: PSMultiInqRqArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PSMultiInqRqRec_CType implements BusinessObject {
        PSSecKey: string;
        PSIdx: PSIdx_CType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PSMultiInqResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        PSMultiInqRsArray: PSMultiInqRsArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PSMultiInqRsRec_CType implements BusinessObject {
        PSPkg: PSPkg_CType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EASAdd implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        ErrOvrRdInfoArray: ErrOvrRdInfoArrayType;
        InstId: string;
        InstEnv: string;
        AppId: string;
        IMSSubj: string;
        EASInfoArray: EASInfoArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class InstId_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class InstEnv_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AppId_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class IMSSubj_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EASInfoRec_CType implements BusinessObject {
        AccountId: AccountId_CType;
        CustId: string;
        EventCode: string;
        EASDtTime: string;
        AuditEventActn: string;
        AuditEventStat: string;
        AuditEventStatRmk: string;
        AuditEventRmk: string;
        EASIdxArray: EASIdxArrayType;
        EASItemArray: EASItemArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AccountId_CType implements BusinessObject {
        AcctId: string;
        AcctType: string;
        Ver_1: Ver_1_CType;
        Any: any;
        Rstr: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AcctId_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        SrchType: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AcctType_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CustId_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EventCode_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EventLogDtTime_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AuditEventActn_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AuditEventStat_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AuditEventStatRmk_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AuditEventRmk_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EASIdxInfoRec_CType implements BusinessObject {
        AuditKeyName: string;
        AuditKeyVal: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AuditKeyName_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AuditKeyVal_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EASItemInfoRec_CType implements BusinessObject {
        ItemName: string;
        NewVal: string;
        OldVal: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EventItemName_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EventNewVal_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EventOldVal_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EASAddResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EASSrch implements BusinessObject {
        JESSrchMsgRqHdr: JESSrchMsgRqHdr_CType;
        InstId: string;
        InstEnv: string;
        AccountId: AccountId_CType;
        CustId: string;
        EASIdxArray: EASIdxArrayType;
        AuditWsId: string;
        IMSSubj: string;
        ConsumerProd: string;
        AppId: string;
        BusCorrelId: string;
        WorkflowCorrelId: string;
        EventCode: string;
        AuditEventActn: string;
        StartDtTime: string;
        EndDtTime: string;
        EASItemSrchInfoRec: EASItemSrchInfoRec_CType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EASItemSrchInfoRec_CType implements BusinessObject {
        ItemName: string;
        ItemVal: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EventItemVal_Type implements BusinessObject {
        SrchType: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EASSrchResponse implements BusinessObject {
        JESSrchMsgRsHdr: JESSrchMsgRsHdr_CType;
        InstId: string;
        InstEnv: string;
        AccountId: AccountId_CType;
        CustId: string;
        EASIdxArray: EASIdxArrayType;
        AuditWsId: string;
        IMSSubj: string;
        ConsumerProd: string;
        AppId: string;
        BusCorrelId: string;
        WorkflowCorrelId: string;
        EventCode: string;
        AuditEventActn: string;
        StartDtTime: string;
        EndDtTime: string;
        EASItemSrchInfoRec: EASItemSrchInfoRec_CType;
        EASSrchArray: EASSrchArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EASSrchInfoRec_CType implements BusinessObject {
        InstId: string;
        InstEnv: string;
        AppId: string;
        IMSSubj: string;
        ConsumerProd: string;
        AuditWsId: string;
        BusCorrelId: string;
        WorkflowCorrelId: string;
        EASInfoArray: EASInfoArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class Focus implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        AppId: string;
        WinId: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class WinId_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class FocusResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ThemeChng implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        ThemeName: string;
        ThemeType: string;
        ColorType: string;
        InstColorArray: InstColorArrayType;
        ThemeModeType: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ThemeName_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ThemeType_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ColorType_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class InstColorInfo_CType implements BusinessObject {
        InstRtId: string;
        InstEnv: string;
        ColorType: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class InstRtId_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ThemeModeType_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ThemeChngResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AppData implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        TitlebarTxt: string;
        StatbarTxt: string;
        AppId: string;
        WinId: string;
        HostId: string;
        ThemeContext: ThemeContext_CType;
        TitlebarIcon: any;
        TitlebarVectorImgCode: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class TitlebarTxt_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class StatbarTxt_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class HostId_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ThemeContext_CType implements BusinessObject {
        InstRtId: string;
        ColorType: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class Icon_Type implements BusinessObject {
        Value: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MenuVectorImgCode_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AppDataResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ClsWin implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        WinId: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ClsWinResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        WinId: string;
        CanClose: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CanClose_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class OpenWin implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        WinId: string;
        ParentId: string;
        TitlebarTxt: string;
        TitlebarIcon: any;
        TitlebarVectorImgCode: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ParentId_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class OpenWinResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ShowMainWin implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        WinId: string;
        TitlebarTxt: string;
        TitlebarIcon: any;
        TitlebarVectorImgCode: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ShowMainWinResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PerformDisco implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PerformDiscoResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PluginEventMultiInq implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        EventNameArray: EventNameArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EventInfoRec_CType implements BusinessObject {
        EventName: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EventName_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PluginEventMultiInqResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        EventMultiInqRsArray: EventMultiInqRsArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EventRsInfoRec_CType implements BusinessObject {
        EventName: string;
        ModuleRef: string;
        EventQualName: string;
        PluginPath: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ModuleRef_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EventQualName_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PluginPath_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class GetActWin implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        AppId: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class GetActWinResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        AppWinAct: string;
        WinId: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AppWinAct_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class FocusStateChng implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        WinId: string;
        WinState: string;
        WinType: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class WinState_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class WinType_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class FocusStateChngResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ShowDialog implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        WinId: string;
        ParentId: string;
        WinWidth: number;
        WinHeight: number;
        TitlebarTxt: string;
        TitlebarIcon: any;
        DialogButInfoArray: DialogButInfoArrayType;
        DialogBoxType: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class WinWidth_Type implements BusinessObject {
        Value: number;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class WinHeight_Type implements BusinessObject {
        Value: number;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DialogButInfoRec_CType implements BusinessObject {
        ButType: string;
        DftButType: string;
        ButTxt: string;
        ButEnabled: string;
        ClsButEnabled: string;
        ButCancel: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ButType_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DftButType_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ButTxt_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ButEnabled_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ClsButEnabled_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ButCancel_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DialogBoxType_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ShowDialogResponse implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        ButType: string;
        DialogResult: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DialogResult_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ShowMsgDialog implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        ParentId: string;
        MsgTxt: string;
        TitlebarTxt: string;
        MsgBoxIcon: string;
        MsgBoxButInfoArray: MsgBoxButInfoArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MsgTxt_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MsgBoxIcon_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MsgBoxButInfoRec_CType implements BusinessObject {
        MsgBoxButType: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MsgBoxButType_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ShowMsgDialogResponse implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        ButType: string;
        DialogResult: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ShowEnvErrDialog implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        ParentId: string;
        WinAvlHeight: number;
        WinHeight: number;
        SimpleErrMsg: string;
        DetailedErrMsg: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class SimpleErrMsg_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DetailedErrMsg_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ShowEnvErrDialogResponse implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        ButType: string;
        DialogResult: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ReplaceDisco implements BusinessObject {
        JESSrchMsgRqHdr: JESSrchMsgRqHdr_CType;
        DiscoProd: DiscoProd_CType;
        DiscoItems: DiscoItems_CType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DiscoProd_CType implements BusinessObject {
        ProdId: string;
        MenuIconIdRef: string;
        DiscoEntryPtArray: DiscoEntryPtArrayType;
        MenuIconArray: MenuIconArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ProdId_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MenuIconIdRef_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DiscoEntryPt_CType implements BusinessObject {
        MsgBusDestId: string;
        EntryPtType: string;
        DspState: string;
        TabIconRef: string;
        TabTitle: string;
        StartupRef: string;
        StartupType: string;
        StartupParm: string;
        InstcType: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MsgBusDestId_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EntryPtType_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DspState_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class TabIconRef_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class TabTitle_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class StartupRef_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class StartupType_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class StartupParm_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class InstcType_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MenuIcon_CType implements BusinessObject {
        MenuIconId: string;
        MenuIconImage: string;
        MenuVectorImgCode: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MenuIconId_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MenuIconImage_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DiscoItems_CType implements BusinessObject {
        MenuFuncArray: MenuFuncArrayType;
        MenuGroupArray: MenuGroupArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MenuFunc_CType implements BusinessObject {
        FuncId: string;
        FuncTitle: string;
        MenuIconIdRef: string;
        TargetMsgBusDestId: string;
        MyAppMsg: string;
        SrchTagArray: SrchTagArrayType;
        FuncDesc: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class FuncId_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class FuncTitle_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MyAppMsg_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class SrchTag_CType implements BusinessObject {
        SrchText: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class SrchText_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class FuncDesc_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MenuGroup_CType implements BusinessObject {
        GroupId: string;
        GroupTitle: string;
        MenuIconIdRef: string;
        MenuFuncArray: MenuFuncArrayType;
        MenuGroupArray: MenuGroupArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class GroupId_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class GroupTitle_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ReplaceDiscoResponse implements BusinessObject {
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class OpenPDF implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        ParentId: string;
        PDFLoc: string;
        PDFDoc: any;
        SaveButTxt: string;
        SaveButEnabled: string;
        PrtButEnabled: string;
        TitlebarTxt: string;
        TitlebarIcon: any;
        TitlebarVectorImgCode: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PDFLoc_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DocImg_Type implements BusinessObject {
        Rstr: string;
        Value: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class OpenPDFResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        RsStat: string;
        WinId: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PrtPDF implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        ParentId: string;
        PDFLoc: string;
        PDFDoc: any;
        PrtOpt: PrtOpt_CType;
        BypassDialogBox: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PrtOpt_CType implements BusinessObject {
        PrtUNC: string;
        CopyCnt: number;
        Orientation: string;
        InputBin: string;
        DuplexType: string;
        PrtColor: string;
        CollateType: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PrtUNC_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CopyCnt_Type implements BusinessObject {
        JHANull: string;
        Value: number;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class Orientation_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class InputBin_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DuplexType_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PrtColor_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CollateType_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class BypassDialogBox_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PrtPDFResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        RsStat: string;
        PrtOpt: PrtOpt_CType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class GetKerberosToken implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        SvcPrincName: string;
        TokenTimeoutMin: number;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class SvcPrincName_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class TokenTimeoutMin_Type implements BusinessObject {
        JHANull: string;
        Value: number;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class GetKerberosTokenResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        RsStat: string;
        KerberosToken: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class KerberosToken_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AppCls implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AppClsResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        ClsStat: string;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ClsStat_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AllAppsLoad implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AllAppsLoadResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class SiteInfoInq implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class SiteInfoInqResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        SiteInfoArray: SiteInfoArrayType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class SiteInfo_CType implements BusinessObject {
        SIName: string;
        SIType: string;
        SIDesc: string;
        SIVal: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class SIName_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class SIType_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class SIDesc_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class SIVal_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class FavItemAdd implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        FavItemIcon: any;
        FavItemDesc: string;
        EncapAppMsg: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class FavItemIcon_Type implements BusinessObject {
        Value: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class FavItemDesc_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EncapAppMsg_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class FavItemAddResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class HistItemAdd implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        HistItemDesc: string;
        EncapAppMsg: string;
        HostId: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class HistItemDesc_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class HistItemAddResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class HistClr implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        HostId: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class HistClrResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class NoteItemAdd implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        NoteItemId: string;
        NoteItemDesc: string;
        NoteItemDet: string;
        EncapAppMsg: string;
        NoteItemAutoRmv: string;
        NoteItemCategory: string;
        NoteItemCustomIcon: any;
        NoteItemNotType: string;
        AppLinkText: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class NoteItemId_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class NoteItemDesc_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class NoteItemDet_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class NoteItemAutoRmv_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class NoteItemCat_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class NoteItemCustomIcon_Type implements BusinessObject {
        Value: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class NoteItemNotType_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AppLinkText_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class NoteItemAddResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        NoteItemId: string;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class NoteItemDlt implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        NoteItemDltAll: string;
        NoteItemDltArray: NoteItemDltArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class NoteItemDltAll_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class NoteItemDltRec_CType implements BusinessObject {
        NoteItemId: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class NoteItemDltResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AppStat implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        Flash: number;
        Spin: string;
        HostId: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class Flash_Type implements BusinessObject {
        Value: number;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class SpinState_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AppStatResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EntryPtSrch implements BusinessObject {
        JESSrchMsgRqHdr: JESSrchMsgRqHdr_CType;
        ProdId: string;
        MsgBusDestId: string;
        EntryPtType: string;
        EntryPtState: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EntryPtState_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EntryPtSrchResponse implements BusinessObject {
        JESSrchMsgRsHdr: JESSrchMsgRsHdr_CType;
        EntryPtInfoArray: EntryPtInfoArrayType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EntryPtInfo_CType implements BusinessObject {
        ProdId: string;
        MsgBusDestId: string;
        EntryPtType: string;
        StartupRef: string;
        StartupType: string;
        InstcType: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class HelpPopupStateChng implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        HelpPopupState: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class HelpPopupState_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class HelpPopupStateChngResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AnimChng implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        AnimState: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AnimState_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AnimChngResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ZoomChng implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        ZoomState: number;
        WinId: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ZoomState_Type implements BusinessObject {
        Value: number;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ZoomChngResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MsgRgtrInq implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        MsgRtArray: MsgRtArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MsgRt_CType implements BusinessObject {
        MsgActn: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MsgActn_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MsgRgtrInqResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        MsgRgtrArray: MsgRgtrArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MsgRgtrInfo_CType implements BusinessObject {
        MsgActn: string;
        MsgRgtrActn: string;
        MsgActnType: string;
        ProdId: string;
        ProdVer: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MsgRgtrActn_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MsgActnType_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ProdVer_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class UsrAuthenCntrlCache implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        IMSSubj: string;
        UsrDN: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class UsrDN_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class UsrAuthenCntrlCacheResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ActUsrDsp implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        Prompt: string;
        HdrText: string;
        AcptText: string;
        HostId: string;
        RoleArray: RoleArrayType;
        AliasArray: AliasArrayType;
        RegExSrch: RegExSrch_CType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class Prompt_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class HdrText_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AcptText_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class Role_CType implements BusinessObject {
        RoleName: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class RoleName_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AliasRec_CType implements BusinessObject {
        Alias: string;
        AppliesToApp: string;
        AliasContext: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class Alias_Type implements BusinessObject {
        JHANull: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AppliesToApp_Type implements BusinessObject {
        JHANull: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AliasContext_Type implements BusinessObject {
        JHANull: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class RegExSrch_CType implements BusinessObject {
        RegExFilterArray: RegExFilterArrayType;
        Ver_1: Ver_1_CType;
        Any: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class RegExFilter_CType implements BusinessObject {
        RegExOperand: string;
        RegExElemName: string;
        RegExCond: string;
        RegExSeqFilter: RegExInfo_CType;
        Ver_1: Ver_1_CType;
        Any: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class RegExOperand_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class RegExElemName_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class RegExCond_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class RegExInfo_CType implements BusinessObject {
        RegExOperand: string;
        RegExElemName: string;
        RegExCond: string;
        RegExSeqFilter: RegExInfo_CType;
        Ver_1: Ver_1_CType;
        Any: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ActUsrDspResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        UsrPrincNameArray: UsrPrincNameArrayType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class UsrPrincRec_CType implements BusinessObject {
        UsrPrincName: string;
        FirstName: string;
        LastName: string;
        EmailAddr: string;
        ComName: string;
        EmplTitle: string;
        DeptDesc: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class UsrPrincName_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class FirstName_Type implements BusinessObject {
        JHANull: string;
        SrchType: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class LastName_Type implements BusinessObject {
        JHANull: string;
        SrchType: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EmailAddr_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        SrchType: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ComName_Type implements BusinessObject {
        JHANull: string;
        SrchType: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EmplTitle_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DeptDesc_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ActUsrSrch implements BusinessObject {
        JESSrchMsgRqHdr: JESSrchMsgRqHdr_CType;
        InstcName: string;
        RoleArray: RoleArrayType;
        AliasArray: AliasArrayType;
        RegExSrch: RegExSrch_CType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class InstcName_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ActUsrSrchResponse implements BusinessObject {
        JESSrchMsgRsHdr: JESSrchMsgRsHdr_CType;
        UsrPrincNameArray: UsrPrincNameArrayType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class InstcInq implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class InstcInqResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        InstcName: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DialogHandleEvent implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        ParentId: string;
        ClsEventAct: string;
        EventPropArray: EventPropArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ClsEventAct_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EventPropRec_CType implements BusinessObject {
        EventPropName: string;
        EventPropVal: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EventPropName_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EventPropVal_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DialogHandleEventResponse implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        ParentId: string;
        ClsAlw: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ClsAlw_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ShowWizDialog implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        WinId: string;
        ParentId: string;
        TitlebarTxt: string;
        TitlebarIcon: any;
        WinWidth: number;
        WinHeight: number;
        DialogWidth: number;
        DialogHeight: number;
        WizState: string;
        DspStepLinks: string;
        AreStepLinksClickable: string;
        CurStepLinkId: string;
        IconType: string;
        CancelConfirmTxt: string;
        DspCancelConfirm: string;
        IsResizeable: string;
        WizScrnArray: WizScrnArrayType;
        UsrButActArray: UsrButActArrayType;
        StepLinksArray: StepLinksArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DspStepLinks_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AreStepLinksClickable_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CurStepLinkId_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class IconType_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CancelConfirmTxt_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DspCancelConfirm_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class IsResizeable_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class WizScrnInfoRec_CType implements BusinessObject {
        WizScrnType: string;
        WizScrnAct: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class WizScrnType_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class WizScrnAct_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class UsrButActInfoRec_CType implements BusinessObject {
        UsrButActType: string;
        UsrButAct: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class UsrButActType_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class UsrButAct_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class StepLink_CType implements BusinessObject {
        LinkId: string;
        LinkTxt: string;
        LinkStat: string;
        LinkIsEnabled: string;
        LinkStepState: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class LinkId_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class LinkTxt_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class LinkStat_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class LinkIsEnabled_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class LinkStepState_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ShowWizDialogResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class WizDialogHandleEvent implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        ParentId: string;
        UsrButActArray: UsrButActArrayType;
        WizState: string;
        CurStepLinkId: string;
        EventPropArray: EventPropArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class WizDialogHandleEventResponse implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        ParentId: string;
        ClsAlw: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class WizDialogPropChng implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        WinId: string;
        ParentId: string;
        TitlebarTxt: string;
        TitlebarIcon: any;
        WinWidth: number;
        WinHeight: number;
        DialogWidth: number;
        DialogHeight: number;
        WizState: string;
        DspStepLinks: string;
        AreStepLinksClickable: string;
        CurStepLinkId: string;
        IconType: string;
        CancelConfirmTxt: string;
        DspCancelConfirm: string;
        IsResizeable: string;
        ClsDialog: string;
        WizScrnArray: WizScrnArrayType;
        UsrButActArray: UsrButActArrayType;
        StepLinksArray: StepLinksArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ClsDialog_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class WizDialogPropChngResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PDFActn implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        PDFLoc: string;
        WinId: string;
        PDFActnArray: PDFActnArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PDFActnRec_CType implements BusinessObject {
        PDFActnType: string;
        PDFActnData: string;
        PrtOpt: PrtOpt_CType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PDFActnType_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PDFActnData_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PDFActnResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DialogSendEvent implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        ParentId: string;
        EventPropArray: EventPropArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DialogSendEventResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class UsrFavInq implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class UsrFavInqResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        UsrFavArray: UsrFavArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class UsrFav_CType implements BusinessObject {
        FuncId: string;
        TargetMsgBusDestId: string;
        MyAppMsg: string;
        FuncTitle: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class UsrFavDlt implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        DltUsrFavArray: DltUsrFavArrayType;
        DspNotf: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DspNotf_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class UsrFavDltResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class HTMLDisplay implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        URL: string;
        HTMLContent: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class URL_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class HTMLContent_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class HTMLDisplayResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ContentSrch implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        HelpProdName: string;
        HelpProdVer: string;
        HelpSrch: string;
        HelpRqType: string;
        HelpRoleArray: HelpRoleArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class HelpProdName_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class HelpProdVer_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class HelpSrch_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class HelpRqType_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class HelpRole_CType implements BusinessObject {
        HelpRoleName: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class HelpRoleName_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ContentSrchResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ContentShow implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        HelpProdName: string;
        HelpProdVer: string;
        HelpTopic: HelpTopic_CType;
        HelpRqType: string;
        HelpRoleArray: HelpRoleArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class HelpTopic_CType implements BusinessObject {
        HelpTopicID: string;
        HelpExtData: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class HelpTopicID_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class HelpExtData_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ContentShowResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AliasAdd implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        IMSSubj: string;
        AliasClaimRec: AliasClaimRec_CType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AliasClaimRec_CType implements BusinessObject {
        UniqueId: string;
        AppliesToApp: string;
        Alias: string;
        AliasDft: string;
        AliasDesc: string;
        AliasInstRtId: string;
        AliasContext: string;
        Ver_1: Ver_1_CType;
        Any: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class UniqueId_Type implements BusinessObject {
        JHANull: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AliasDft_Type implements BusinessObject {
        JHANull: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class Desc_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AliasInstRtId_Type implements BusinessObject {
        JHANull: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AliasAddResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        AliasClaimRec: AliasClaimRec_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class UsrInq implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        IMSSubj: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class UsrInqResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        UsrInqRec: UsrInqRec_CType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class UsrInqRec_CType implements BusinessObject {
        IMSSubj: string;
        UsrDN: string;
        FirstName: string;
        LastName: string;
        EmailAddr: string;
        samlAssertion: string;
        ComName: string;
        EmplTitle: string;
        DeptDesc: string;
        Desc: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class samlAssertion_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class UsrAuthen implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        Prompt: string;
        HostId: string;
        HdrText: string;
        AcptText: string;
        ProdText: string;
        RqDesc: string;
        RqData: string;
        AppLinkText: string;
        UpdCntlCache: string;
        NoChlng: string;
        DspRqDet: string;
        RqCmpltData: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ProdText_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class RqDesc_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class RqData_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class UpdCntlCache_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class NoChlng_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DspRqDet_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class RqCmpltData_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class UsrAuthenResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        UsrAuthenRec: UsrInqRec_CType;
        RsStat: string;
        RsCmnt: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class Rmk_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class UsrAuthenCancel implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        UsrAuthenMsgId: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class UsrAuthenMsgId_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class UsrAuthenCancelResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AliasMod implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        IMSSubj: string;
        AliasClaimRec: AliasClaimRec_CType;
        Dlt: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AliasModResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AuthenStateChng implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        AuthenState: AuthenState_CType;
        AuthenMode: AuthenMode_CType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AuthenState_CType implements BusinessObject {
        AuthenState: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AuthenState_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AuthenMode_CType implements BusinessObject {
        AuthenMode: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AuthenMode_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AuthenStateChngResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PswdChng implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        UsrCred: any;
        UsrPswd: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EncryptedDataType implements BusinessObject {
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DSAKeyValueType implements BusinessObject {
        P: any;
        Q: any;
        G: any;
        Y: any;
        J: any;
        Seed: any;
        PgenCounter: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class RSAKeyValueType implements BusinessObject {
        Modulus: any;
        Exponent: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ItemsChoiceType1 implements BusinessObject {
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class SPKIDataType implements BusinessObject {
        Items: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class X509IssuerSerialType implements BusinessObject {
        X509IssuerName: string;
        X509SerialNumber: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ItemsChoiceType implements BusinessObject {
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ItemsChoiceType2 implements BusinessObject {
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CipherDataType implements BusinessObject {
        Item: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ReferenceType implements BusinessObject {
        Any: any;
        URI: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ItemsChoiceType3 implements BusinessObject {
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PswdChngResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class UsrSrch implements BusinessObject {
        JESSrchMsgRqHdr: JESSrchMsgRqHdr_CType;
        IMSOrgId: string;
        FirstName: string;
        LastName: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class IMSOrgId_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class UsrSrchResponse implements BusinessObject {
        JESSrchMsgRsHdr: JESSrchMsgRsHdr_CType;
        IMSOrgId: string;
        FirstName: string;
        LastName: string;
        UsrSrchArray: UsrSrchArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class UsrSrchRec_CType implements BusinessObject {
        IMSSubj: string;
        UsrDN: string;
        FirstName: string;
        LastName: string;
        ComName: string;
        EmplTitle: string;
        DeptDesc: string;
        EmailAddr: string;
        Desc: string;
        GroupDN: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class GroupDN_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class GroupMbrInq implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        ErrOvrRdInfoArray: ErrOvrRdInfoArrayType;
        GroupName: string;
        GroupDN: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class GroupName_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class GroupMbrInqResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        GroupMbrInqArray: GroupMbrInqArrayType;
        GroupDN: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class UsrSecTokenRetrv implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        RefreshFromServer: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class RefreshFromServer_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class UsrSecTokenRetrvResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        UsrSecTokenRec: UsrInqRec_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class BusActNotf implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        BusActId: string;
        CustId: string;
        BusActPkgXML: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class XPMsgRqHdr_CType implements BusinessObject {
        XPHdr: XPHdr_CType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class XPHdr_CType implements BusinessObject {
        ConsumerProd: string;
        AuditUsrId: string;
        InstRtId: string;
        InstEnv: string;
        ConsumerRqDtTime: string;
        BusCorrelId: string;
        WorkflowCorrelId: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class BusActId_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class BusActPkgXML_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class BusActNotfResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class XPMsgRsHdr_CType implements BusinessObject {
        XPHdr: XPHdr_CType;
        MsgRecInfoArray: MsgRecInfoArrayType;
        PluginWinId: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PluginWinId_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class UsrIntfRdy implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        BusActId: string;
        CustId: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class UsrIntfRdyResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ImgSrch implements BusinessObject {
        JESSrchMsgRqHdr: JESSrchMsgRqHdr_CType;
        InstRtId: string;
        DocImgFilterType: string;
        DocImgIdxArray: DocImgIdxArrayType;
        InstEnv: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DocImgFilterType_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DocImgIdx_CType implements BusinessObject {
        DocImgIdxName: string;
        DocImgIdxType: string;
        DocImgIdxValue: string;
        Ver_1: Ver_1_CType;
        Any: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DocImgIdxName_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DocImgIdxType_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DocImgIdxValue_Type implements BusinessObject {
        JHANull: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ImgSrchResponse implements BusinessObject {
        JESSrchMsgRsHdr: JESSrchMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ClsCall implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        BusActId: string;
        ClsCallType: string;
        CustId: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ClsCallType_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ClsCallResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ExchCall implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        BusActId: string;
        CustId: string;
        TaxId: string;
        AcctId: string;
        AcctType: string;
        AuthenEventType: string;
        AuthenIdVerifyArray: AuthenIdVerifyArrayType;
        AutoNumId: string;
        CallStartTimeDt: string;
        DialNumId: string;
        RecipQue: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class TaxId_Type implements BusinessObject {
        JHANull: string;
        MaskVal: string;
        Rstr: string;
        SrchType: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AuthenEventType_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AuthenIdVerify_CType implements BusinessObject {
        IdVerifyCode: string;
        IdVerifyVal: string;
        IdVerifyDesc: string;
        IdVerifyAuthenPass: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class IdVerifyCode_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class IdVerifyVal_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class IdVerifyDesc_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class IdVerifyAuthenPass_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AutoNumId_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CallStartTimeDt_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DialNumId_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class RecipQue_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ExchCallResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        BusActId: string;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class StartCall implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        BusActId: string;
        CustId: string;
        TaxId: string;
        AcctId: string;
        AcctType: string;
        AuthenEventType: string;
        AuthenIdVerifyArray: AuthenIdVerifyArrayType;
        AutoNumId: string;
        CustDetail: CustDetail_CType;
        DialNumId: string;
        RecipQue: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CustDetail_CType implements BusinessObject {
        PersonName: PersonName_CType;
        Addr: Addr_CType;
        CustType: string;
        NAICSCode: string;
        StdIndustCode: string;
        Gender: string;
        BirthDt: string;
        EmplName: string;
        OccType: string;
        CustOrgDt: string;
        LastMainDt: string;
        Deceased: string;
        DeceasedDt: string;
        EmailArray: EmailArrayType;
        PhoneArray: PhoneArrayType;
        Custom: Custom_CType;
        Ver_1: Ver_1_CType;
        HouseHoldNum: number;
        HouseHoldName: string;
        SpouseName: PersonName_CType;
        Ver_2: Ver_2_CType;
        EmplTitle: string;
        AnnIncmAmt: any;
        AssetTotAmt: any;
        EducLvl: string;
        HouseHoldMbrArray: HouseHoldMbrArrayType;
        Ver_3: Ver_3_CType;
        Any: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PersonName_CType implements BusinessObject {
        ComName: string;
        FirstName: string;
        MiddleName: string;
        LastName: string;
        x_PersonName: x_PersonName_CType;
        Ver_1: Ver_1_CType;
        Any: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MiddleName_Type implements BusinessObject {
        JHANull: string;
        SrchType: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class x_PersonName_CType implements BusinessObject {
        TitlePrefix: string;
        NameSuffix: string;
        LegalName: string;
        SalName: string;
        Ver_1: Ver_1_CType;
        Any: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class TitlePrefix_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class NameSuffix_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class LegalName_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class SalName_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class Addr_CType implements BusinessObject {
        FreeFormAddrArray: FreeFormAddrArrayType;
        StreetAddr1: string;
        StreetAddr2: string;
        City: string;
        StateProv: string;
        StateCode: string;
        PostalCode: string;
        DlvryPt: string;
        County: string;
        Cntry: string;
        CntryType: string;
        BusAddr: string;
        FornAddr: string;
        InvAddr: string;
        Ver_1: Ver_1_CType;
        StreetAddr3: string;
        Ver_2: Ver_2_CType;
        Any: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AddrLineInfo_CType implements BusinessObject {
        AddrLine: string;
        Ver_1: Ver_1_CType;
        Any: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AddrLine_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class StreetAddr1_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class StreetAddr2_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class City_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class StateProv_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class StateCode_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PostalCode_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        SrchType: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DlvryPt_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class County_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class Cntry_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CntryType_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class BusAddr_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class FornAddr_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class InvAddr_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class StreetAddr3_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class Ver_2_CType implements BusinessObject {
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CustType_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class NAICSCode_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class StdIndustCode_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class Gender_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class BirthDt_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EmplName_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class OccType_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CustOrgDt_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class LastMainDt_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class Deceased_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DeceasedDt_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EmailInfo_CType implements BusinessObject {
        EmailAddr: string;
        EmailType: string;
        Ver_1: Ver_1_CType;
        Any: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EmailType_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PhoneInfo_CType implements BusinessObject {
        PhoneNum: string;
        PhoneType: string;
        PhoneTime: string;
        PhoneExt: string;
        Ver_1: Ver_1_CType;
        ConStartTime: string;
        ConEndTime: string;
        MobPhoneInfo: MobPhoneInfo_CType;
        Ver_2: Ver_2_CType;
        PrioritySeq: number;
        Ver_3: Ver_3_CType;
        Any: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PhoneNum_Type implements BusinessObject {
        JHANull: string;
        SrchType: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PhoneType_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PhoneTime_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PhoneExt_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ConStartTime_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ConEndTime_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MobPhoneInfo_CType implements BusinessObject {
        MobPrvdCode: string;
        MobPrvdCodeDesc: string;
        MobPrvdDom: string;
        MobBB: string;
        MobSendTestText: string;
        Ver_1: Ver_1_CType;
        Any: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MobPrvdCode_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MobPrvdCodeDesc_Type implements BusinessObject {
        JHANull: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MobPrvdDom_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MobBB_Type implements BusinessObject {
        JHANull: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MobSendTestText_Type implements BusinessObject {
        JHANull: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PrioritySeq_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: number;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class Ver_3_CType implements BusinessObject {
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class Custom_CType implements BusinessObject {
        Any: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class HouseHoldNum_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: number;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class HouseHoldName_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AnnIncmAmt_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AssetTotAmt_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EducLvl_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class HouseHoldMbrInfo_CType implements BusinessObject {
        HouseHoldMbrText: string;
        HouseHoldMbrName: PersonName_CType;
        HouseHoldMbrBirthDt: string;
        HouseHoldMbrRel: string;
        Ver_1: Ver_1_CType;
        Any: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class HouseHoldMbrText_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class HouseHoldMbrRel_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class StartCallResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        BusActId: string;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MenuStartBrdCst implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        CustId: string;
        AcctId: string;
        AcctType: string;
        ProdId: string;
        MenuBrdCstId: string;
        EventNameArray: EventNameArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MenuBrdCstId_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MenuStartBrdCstResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        ProdRsId: string;
        MenuBrdCstId: string;
        MenuStartRsArray: MenuStartRsArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MenuStartRsInfoRec_CType implements BusinessObject {
        FuncTitle: string;
        FuncId: string;
        FuncDesc: string;
        ProdFuncPayLoad: string;
        EntEvent: string;
        MenuIconImage: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ProdFuncPayLoad_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EntEvent_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class FuncStart implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        CustId: string;
        AcctId: string;
        AcctType: string;
        ProdId: string;
        FuncTitle: string;
        FuncId: string;
        ProdFuncPayLoad: string;
        EntEvent: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class FuncStartResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AppWrapUpCall implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        BusActId: string;
        CustId: string;
        AcctId: string;
        AcctType: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AppWrapUpCallResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        BusActId: string;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class GetAppModalRegion implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        ProdId: string;
        ModalRegionId: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ModalRegionId_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class GetAppModalRegionResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        ModalRegionName: string;
        ModalRegionId: string;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ModalRegionName_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PluginWinCls implements BusinessObject {
        JESMsgRqHdr: JESMsgRqHdr_CType;
        PluginWinId: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PluginWinClsResponse implements BusinessObject {
        JESMsgRsHdr: JESMsgRsHdr_CType;
        ClsStat: string;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CRMCustDsp implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        CustId: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CRMCustDspResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CRMAcctCustDsp implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        AcctId: string;
        AcctType: string;
        CustRelInfoArray: CustRelInfoArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CustRelInfo_CType implements BusinessObject {
        CustId: string;
        PersonName: PersonName_CType;
        PhoneNum: string;
        TINCode: string;
        TaxId: string;
        CustType: string;
        AcctRelCode: string;
        AcctRelDesc: string;
        CustIdDft: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class TINCode_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AcctRelCode_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AcctRelDesc_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CustIdDft_Type implements BusinessObject {
        JHANull: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CRMAcctCustDspResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CRMProspInq implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        CRMProspId: string;
        ActIntent: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CRMProspId_Type implements BusinessObject {
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ActIntent_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CRMProspInqResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CRMProspSrch implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        PersonName: PersonName_CType;
        TaxId: string;
        PhoneNum: string;
        CustType: string;
        SrchAddr: string;
        SrchCity: string;
        State: string;
        PostalCode: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class SrchAddr_Type implements BusinessObject {
        SrchType: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class SrchCity_Type implements BusinessObject {
        SrchType: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class State_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CRMProspSrchResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class StartCrtCRMProsp implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class StartCrtCRMProspResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CRMPhoneLogAdd implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        CRMProspId: string;
        CustId: string;
        PhoneNum: string;
        PhoneType: string;
        Rmk: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CRMPhoneLogAddResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class WorkflowInstcStart implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        WorkflowName: string;
        CatCode: string;
        VrblNameValRecArray: VrblNameValRecArrayType;
        AttachInfoArray: AttachInfoArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class WorkflowName_Type implements BusinessObject {
        JHANull: string;
        SrchType: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CatCode_Type implements BusinessObject {
        JHANull: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class VrblNameValRec_CType implements BusinessObject {
        VrblName: string;
        VrblVal: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class VrblName_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class VrblVal_Type implements BusinessObject {
        JHANull: string;
        SrchType: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AttachInfo_CType implements BusinessObject {
        AttachId: string;
        AttachIdType: string;
        AttachName: string;
        AttachDesc: string;
        AttachIdxArray: AttachIdxArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AttachId_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AttachIdType_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AttachName_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AttachDesc_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AttachIdx_CType implements BusinessObject {
        AttachIdxName: string;
        AttachIdxType: string;
        AttachIdxValue: string;
        Ver_1: Ver_1_CType;
        Any: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class WorkflowInstcStartResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class WorkflowInstcDsp implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        WorkflowName: string;
        CatCode: string;
        AssocUsr: string;
        ExclUnassign: string;
        QueCode: string;
        AttachId: string;
        AttachIdType: string;
        WorkflowInstcId: string;
        VrblNameValRec: VrblNameValRec_CType;
        WorkflowInstcRqInfoArray: WorkflowInstcRqInfoArrayType;
        AssocBusCorrelID: string;
        AssocWorkflowCorrelId: string;
        VrblNameValRecArray: VrblNameValRecArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ExclUnassign_Type implements BusinessObject {
        JHANull: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class QueCode_Type implements BusinessObject {
        JHANull: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class WorkflowInstcId_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class WorkflowInstcRqInfo_CType implements BusinessObject {
        WorkflowStatType: string;
        Ver_1: Ver_1_CType;
        Any: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class WorkflowStatType_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class WorkflowInstcDspResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class WorkflowInstcMod implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        WorkflowName: string;
        CatCode: string;
        AssocUsr: string;
        ExclUnassign: string;
        QueCode: string;
        AttachId: string;
        AttachIdType: string;
        WorkflowInstcId: string;
        VrblNameValRecArray: VrblNameValRecArrayType;
        AddVrblNameValRecArray: AddVrblNameValRecArrayType;
        AddAttachInfoArray: AddAttachInfoArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class WorkflowInstcModResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DocImgDsp implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        DocImgDspInfoArray: DocImgDspInfoArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DocImgDspInfo_CType implements BusinessObject {
        DspTitle: string;
        DocImgIdxArray: DocImgIdxArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DspTitle_Type implements BusinessObject {
        JHANull: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DocImgDspResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DocImgMod implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        DocImgIdxArray: DocImgIdxArrayType;
        ModActn: string;
        DocImgModInfo: DocImgModInfo_CType;
        Dlt: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ModActn_Type implements BusinessObject {
        JHANull: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DocImgModInfo_CType implements BusinessObject {
        DocName: string;
        DocImgAuxDesc: string;
        DocImgEffDt: string;
        DocImgIdxModArray: DocImgIdxModArrayType;
        Custom: Custom_CType;
        Ver_1: Ver_1_CType;
        Any: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DocName_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DocImgAuxDesc_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DocImgEffDt_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class DocImgModResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AcctSrch implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        CustId: string;
        AcctType: string;
        AvlBalCalcCode: string;
        ComName: string;
        FirstName: string;
        MiddleName: string;
        LastName: string;
        TaxId: string;
        AcctId: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AvlBalCalcCode_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AcctSrchResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AcctInq implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        AcctId: string;
        AcctType: string;
        AvlBalCalcCode: string;
        ActIntent: string;
        CustId: string;
        ActContextElem: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ActContextElem_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AcctInqResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CustInq implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        AcctId: string;
        AcctType: string;
        CustId: string;
        ActIntent: string;
        ActContextElem: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CustInqResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CustMsgSrch implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        CustId: string;
        MsgCat: string;
        MsgType: string;
        AcctId: string;
        AcctType: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MsgCat_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MsgType_Type implements BusinessObject {
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CustMsgSrchResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CustMsgInq implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        CustId: string;
        AcctId: string;
        AcctType: string;
        MsgSeq: string;
        MsgType: string;
        ActIntent: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MsgSeq_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CustMsgInqResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class XferSrch implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        AcctId: string;
        AcctType: string;
        ToOrFrom: string;
        LowAmt: any;
        HighAmt: any;
        XferType: string;
        CustId: string;
        ActIntent: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ToOrFrom_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class LowAmt_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class HighAmt_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class XferType_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class XferSrchResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class SvcFeeTrnInq implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        AcctId: string;
        AcctType: string;
        SeqNum: number;
        ActIntent: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class SeqNum_Type implements BusinessObject {
        Value: number;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class SvcFeeTrnInqResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class TrnInq implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        AcctId: string;
        AcctType: string;
        SeqNum: number;
        BatchNum: number;
        ActIntent: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class BatchNum_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: number;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class TrnInqResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AcctHistSrch implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        AcctId: string;
        AcctType: string;
        ChkNumStart: string;
        ChkNumEnd: string;
        StartDt: string;
        EndDt: string;
        LowAmt: any;
        HighAmt: any;
        SrtMthd: string;
        TrnType: string;
        EFTOnly: string;
        MemoPostInc: string;
        XferKey: string;
        TrnRcptId: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ChkNumStart_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class ChkNumEnd_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class StartDt_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EndDt_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class SrtMthd_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class TrnType_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class EFTOnly_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MemoPostInc_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class XferKey_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class TrnRcptId_Type implements BusinessObject {
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AcctHistSrchResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AcctCombStmtInq implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        AcctId: string;
        AcctType: string;
        ActIntent: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AcctCombStmtInqResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class TaxPlnInq implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        CustId: string;
        PlnCode: string;
        AcctId: string;
        AcctType: string;
        ActIntent: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class PlnCode_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class TaxPlnInqResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class VRAcctInq implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        CustId: string;
        AcctId: string;
        AcctType: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class VRAcctInqResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AcctMemoPostSrch implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        AcctId: string;
        AcctType: string;
        ChkNumStart: string;
        ChkNumEnd: string;
        StartDt: string;
        EndDt: string;
        LowAmt: any;
        HighAmt: any;
        SrtMthd: string;
        TrnType: string;
        EFTOnly: string;
        MemoPostInc: string;
        XferKey: string;
        TrnRcptId: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AcctMemoPostSrchResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class SafeDepAccessInq implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        AcctId: string;
        AcctType: string;
        ActIntent: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class SafeDepAccessInqResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CustSrch implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        ComName: string;
        FirstName: string;
        MiddleName: string;
        LastName: string;
        PhoneNum: string;
        AcctId: string;
        AcctType: string;
        TaxId: string;
        CustType: string;
        IntnetFinInstId: string;
        SrchAddr: string;
        SrchCity: string;
        AddrCat: string;
        State: string;
        PostalCode: string;
        EmailAddr: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class IntnetFinInstId_Type implements BusinessObject {
        JHANull: string;
        Rstr: string;
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AddrCat_Type implements BusinessObject {
        Value: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class CustSrchResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class IntnetFinInstIdInq implements BusinessObject {
        XPMsgRqHdr: XPMsgRqHdr_CType;
        IntnetFinInstId: string;
        ActIntent: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class IntnetFinInstIdInqResponse implements BusinessObject {
        XPMsgRsHdr: XPMsgRsHdr_CType;
        RsStat: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MsgBusMsg_CType implements BusinessObject {
        MsgBusHeader: MsgBusHeader_CType;
        MsgBusBody: MsgBusBody_CType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MsgBusHeader_CType implements BusinessObject {
        MsgId: string;
        MsgParentId: string;
        MsgSource: string;
        MsgDests: MsgDestsType;
        MsgResReq: string;
        MsgDlvryRcptRq: string;
        MsgVer: string;
        MsgTimeStamp: string;
        MsgEncrypted: string;
        MsgAction: string;
        MsgError: MsgErrorType;
        Ver_1: Ver_1_CType;
        MsgSrcRt: MsgBusRt_CType;
        MsgDestRt: MsgDestRt_AType;
        Ver_2: Ver_2_CType;
        ForceAct: string;
        Ver_3: Ver_3_CType;
        Any: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MsgBusBody_CType implements BusinessObject {
        MsgPayload: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MsgDestRt_AType implements BusinessObject {
        MsgDestRt: MsgBusRt_CType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MsgBusRt_CType implements BusinessObject {
        Usr: MsgUsr_CType;
        ClientId: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MsgUsr_CType implements BusinessObject {
        UsrId: string;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MsgBusMsgRs_CType implements BusinessObject {
        MsgId: string;
        MsgTimeStamp: string;
        MsgRcptTimeStamp: string;
        MsgError: MsgErrorType;
        Ver_1: Ver_1_CType;
        Any: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MsgBusConnect_CType implements BusinessObject {
        ClientId: string;
        Ver_1: Ver_1_CType;
        Any: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MsgBusConnectRs_CType implements BusinessObject {
        ClientId: string;
        MsgError: MsgErrorType;
        Ver_1: Ver_1_CType;
        Any: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MsgBusDisconnect_CType implements BusinessObject {
        ClientId: string;
        Ver_1: Ver_1_CType;
        Any: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MsgBusDisconnectRs_CType implements BusinessObject {
        ClientId: string;
        MsgError: MsgErrorType;
        Ver_1: Ver_1_CType;
        Any: any;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AppMsgRqHdr_CType implements BusinessObject {
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class WinRect_CType implements BusinessObject {
        XCoord: number;
        YCoord: number;
        WinWidth: number;
        WinHeight: number;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class AppMsgRsHdr_CType implements BusinessObject {
        MsgErrArray: MsgErrArrayType;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class WinPoint_CType implements BusinessObject {
        XCoord: number;
        YCoord: number;
        private _xmlns;
        constructor();
        ToJsonString(): string;
        private ArrayToJsonString(arrayContainer, arrayItemWrapperName);
        private PropertyToJsonString(prop);
    }
    class MsgRecInfoArrayType {
        MsgRec: Array<MsgRec_CType>;
    }
    class ErrOvrRdInfoArrayType {
        ErrOvrRd: Array<ErrOvrRd_CType>;
    }
    class PSSrchArrayType {
        PSSrchRec: Array<PSSrchRec_CType>;
    }
    class PSMultiInqRqArrayType {
        PSMultiInqRqRec: Array<PSMultiInqRqRec_CType>;
    }
    class PSMultiInqRsArrayType {
        PSMultiInqRsRec: Array<PSMultiInqRsRec_CType>;
    }
    class EASInfoArrayType {
        EASInfoRec: Array<EASInfoRec_CType>;
    }
    class EASIdxArrayType {
        EASIdxInfoRec: Array<EASIdxInfoRec_CType>;
    }
    class EASItemArrayType {
        EASItemInfoRec: Array<EASItemInfoRec_CType>;
    }
    class EASSrchArrayType {
        EASSrchInfoRec: Array<EASSrchInfoRec_CType>;
    }
    class InstColorArrayType {
        InstColorInfo: Array<InstColorInfo_CType>;
    }
    class EventNameArrayType {
        EventInfoRec: Array<EventInfoRec_CType>;
    }
    class EventMultiInqRsArrayType {
        EventRsInfoRec: Array<EventRsInfoRec_CType>;
    }
    class DialogButInfoArrayType {
        DialogButInfoRec: Array<DialogButInfoRec_CType>;
    }
    class MsgBoxButInfoArrayType {
        MsgBoxButInfoRec: Array<MsgBoxButInfoRec_CType>;
    }
    class DiscoEntryPtArrayType {
        DiscoEntryPt: Array<DiscoEntryPt_CType>;
    }
    class MenuIconArrayType {
        MenuIcon: Array<MenuIcon_CType>;
    }
    class MenuFuncArrayType {
        MenuFunc: Array<MenuFunc_CType>;
    }
    class MenuGroupArrayType {
        MenuGroup: Array<MenuGroup_CType>;
    }
    class SrchTagArrayType {
        SrchTag: Array<SrchTag_CType>;
    }
    class SiteInfoArrayType {
        SiteInfo: Array<SiteInfo_CType>;
    }
    class NoteItemDltArrayType {
        NoteItemDltRec: Array<NoteItemDltRec_CType>;
    }
    class EntryPtInfoArrayType {
        EntryPtInfo: Array<EntryPtInfo_CType>;
    }
    class MsgRtArrayType {
        MsgRt: Array<MsgRt_CType>;
    }
    class MsgRgtrArrayType {
        MsgRgtrInfo: Array<MsgRgtrInfo_CType>;
    }
    class RoleArrayType {
        Role: Array<Role_CType>;
    }
    class AliasArrayType {
        AliasRec: Array<AliasRec_CType>;
    }
    class RegExFilterArrayType {
        RegExFilter: Array<RegExFilter_CType>;
    }
    class UsrPrincNameArrayType {
        UsrPrincRec: Array<UsrPrincRec_CType>;
    }
    class EventPropArrayType {
        EventPropRec: Array<EventPropRec_CType>;
    }
    class WizScrnArrayType {
        WizScrnInfoRec: Array<WizScrnInfoRec_CType>;
    }
    class UsrButActArrayType {
        UsrButActInfoRec: Array<UsrButActInfoRec_CType>;
    }
    class StepLinksArrayType {
        StepLink: Array<StepLink_CType>;
    }
    class PDFActnArrayType {
        PDFActnRec: Array<PDFActnRec_CType>;
    }
    class UsrFavArrayType {
        UsrFav: Array<UsrFav_CType>;
    }
    class DltUsrFavArrayType {
        UsrFav: Array<UsrFav_CType>;
    }
    class HelpRoleArrayType {
        HelpRole: Array<HelpRole_CType>;
    }
    class UsrSrchArrayType {
        UsrSrchRec: Array<UsrSrchRec_CType>;
    }
    class GroupMbrInqArrayType {
        GroupMbrInqRec: Array<UsrSrchRec_CType>;
    }
    class DocImgIdxArrayType {
        DocImgIdx: Array<DocImgIdx_CType>;
    }
    class AuthenIdVerifyArrayType {
        AuthenIdVerify: Array<AuthenIdVerify_CType>;
    }
    class EmailArrayType {
        EmailInfo: Array<EmailInfo_CType>;
    }
    class PhoneArrayType {
        PhoneInfo: Array<PhoneInfo_CType>;
    }
    class HouseHoldMbrArrayType {
        HouseHoldMbrInfo: Array<HouseHoldMbrInfo_CType>;
    }
    class FreeFormAddrArrayType {
        AddrLineInfo: Array<AddrLineInfo_CType>;
    }
    class MenuStartRsArrayType {
        MenuStartRsInfoRec: Array<MenuStartRsInfoRec_CType>;
    }
    class CustRelInfoArrayType {
        CustRelInfo: Array<CustRelInfo_CType>;
    }
    class VrblNameValRecArrayType {
        VrblNameValRec: Array<VrblNameValRec_CType>;
    }
    class AttachInfoArrayType {
        AttachInfo: Array<AttachInfo_CType>;
    }
    class AttachIdxArrayType {
        AttachIdx: Array<AttachIdx_CType>;
    }
    class WorkflowInstcRqInfoArrayType {
        WorkflowInstcRqInfo: Array<WorkflowInstcRqInfo_CType>;
    }
    class AddVrblNameValRecArrayType {
        VrblNameValRec: Array<VrblNameValRec_CType>;
    }
    class AddAttachInfoArrayType {
        AttachInfo: Array<AttachInfo_CType>;
    }
    class DocImgDspInfoArrayType {
        DocImgDspInfo: Array<DocImgDspInfo_CType>;
    }
    class DocImgIdxModArrayType {
        DocImgIdx: Array<DocImgIdx_CType>;
    }
    class MsgDestsType {
        MsgDest: Array<string>;
    }
    class MsgErrorType {
        MsgError: Array<MsgRec_CType>;
    }
    class MsgErrArrayType {
        MsgErr: Array<MsgRec_CType>;
    }
}
