﻿export class CustomMessage {
  public Text: string;
  private _xmlns: string;

  constructor() {
    this._xmlns = 'http://jackhenry.com/XpAngular';
  }

  public ToJsonString(): string {
    const result =
      "{'CustomMessage': {'@xmlns': 'http://jackhenry.com/XpAngular','Text': " +
      this.PropertyToJsonString(this.Text) +
      '}}';
    return result;
  }

  private ArrayToJsonString(prop: Array<any>): string {
    let result = '';

    if (prop == null || prop.length <= 0) {
      return '';
    }

    result = '[';

    for (let i = 0; i < prop.length; i++) {
      if (prop[i].Name.ToJsonString != null) {
        result += prop[i].ToJsonString();
        if (i !== prop.length - 1) {
          result += ', ';
        }
      }
    }

    result += ']';

    return result;
  }

  private PropertyToJsonString(prop: any): string {
    if (prop == null) {
      return null;
    }

    if (prop.ToJsonString != null) {
      return prop.ToJsonString();
    }

    return "'" + prop + "'";
  }
}

export class CustomMessageResponse {
  public ResponseText: string;

  private _xmlns: string;

  constructor() {
    this._xmlns = 'http://jackhenry.com/XpAngular';
  }

  public ToJsonString(): string {
    const result =
      "{'CustomMessageResponse': {'@xmlns': 'http://jackhenry.com/XpAngular','ResponseText': " +
      this.PropertyToJsonString(this.ResponseText) +
      '}}';
    return result;
  }

  private ArrayToJsonString(prop: Array<any>): string {
    let result = '';

    if (prop == null || prop.length <= 0) {
      return '';
    }

    result = '[';

    for (let i = 0; i < prop.length; i++) {
      if (prop[i].Name.ToJsonString != null) {
        result += prop[i].ToJsonString();
        if (i !== prop.length - 1) {
          result += ', ';
        }
      }
    }

    result += ']';

    return result;
  }

  private PropertyToJsonString(prop: any): string {
    if (prop == null) {
      return null;
    }

    if (prop.ToJsonString != null) {
      return prop.ToJsonString();
    }

    return "'" + prop + "'";
  }
}
